package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag705;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT705Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag44DCreator extends AbsTagCreate {

     private MT705Creator mt705Creator;

    public Tag44DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt705Creator= (MT705Creator) absMTCreator;
    }

    public void creator()
    {
        String tag44DValue = mt705Creator.getShipmentPeriod();
        mt705Creator.set("44D", tag44DValue);
    }
}

